<div class="sheet-container">
    <img class="background" src="{{backgroundImages.url}}" title="{{localize backgroundImages.title}}"
         alt="{{localize 'tor1e.weapons.details.tech.alt'}}"/>
    <form class="{{cssClass}} item-sheet" autocomplete="off">
        <header class="sheet-header">
            <img src="{{item.img}}" data-edit="img" title="{{item.name}}" height="64" width="64"
                 alt="{{localize 'tor1e.weapons.details.tech.alt'}}"/>
            <h1><label>
                <input name="name" type="text" value="{{item.name}}" placeholder="Name"/>
            </label></h1>
        </header>
        <div class="sheet-content">
            <section id="attributes">
                <div class="flexrow table-row">
                    <p class="table-caption">{{localize "tor1e.weapons.details.damage"}} </p>
                    <p class="table-caption">{{localize "tor1e.weapons.details.edge"}} </p>
                    <p class="table-caption">{{localize "tor1e.weapons.details.injury"}} </p>
                    <p class="table-caption">{{localize "tor1e.items.common.enc"}} </p>
                    <p class="table-caption">{{localize "tor1e.weapons.details.twoHandWeapon"}} </p>
                    <p class="table-caption">{{localize "tor1e.weapons.details.ranged"}} </p>
                </div>

                <div class="flexrow table-row">
                    <div>
                        <label>
                            <input class="attribute-number-value" name="system.damage.value" type="number"
                                   value="{{system.damage.value}}" data-dtype="{{system.damage.type}}"/>
                        </label>
                    </div>
                    <div>
                        <label>
                            <input class="attribute-number-value" name="system.edge.value" type="number"
                                   value="{{system.edge.value}}" data-dtype="{{system.edge.type}}"/>
                        </label>
                    </div>
                    <div>
                        <label>
                            <input class="attribute-number-value" name="system.injury.value" type="number"
                                   value="{{system.injury.value}}" data-dtype="{{system.injury.type}}"/>
                        </label>
                    </div>
                    <div>
                        <label>
                            <input class="attribute-number-value" name="system.encumbrance.value" type="number"
                                   value="{{system.encumbrance.value}}" data-dtype="{{system.encumbrance.type}}"/>
                        </label>
                    </div>
                    <div>
                        <div>
                            <input id="twoHandWeapon.value" name="system.twoHandWeapon.value" type="checkbox"
                                   value="{{system.twoHandWeapon.value}}" data-dtype="{{system.twoHandWeapon.type}}" {{checked
                                    system.twoHandWeapon.value}} />
                            <label for="twoHandWeapon.value"></label>
                        </div>
                    </div>
                    <div>
                        <div>
                            <input id="ranged.value" name="system.ranged.value" type="checkbox"
                                   value="{{system.ranged.value}}" data-dtype="{{system.ranged.type}}" {{checked
                                    system.ranged.value}} />
                            <label for="ranged.value"></label>
                        </div>
                    </div>
                </div>
            </section>
            <section id="weapon-specific-details" class="flexcol">
                <div class="flexrow table-row">
                    <p class="table-caption">{{localize "tor1e.weapons.details.group"}} </p>
                    <p class="table-caption">{{localize "tor1e.weapons.details.calledShot"}} </p>
                </div>
                <div class="flexrow table-row">
                    <label class="flexcol">
                        <select name="system.group.value">
                            {{#select system.group.value}}
                                {{#each config.weaponGroups as |name type|}}
                                    <option value="{{type}}">{{localize name}}</option>
                                {{/each}}
                            {{/select}}
                        </select>
                    </label>

                    <label class="flexcol">
                        <select name="system.calledShot.value">
                            {{#select system.calledShot.value}}
                                {{#each config.calledShots as |name type|}}
                                    <option value="{{type}}">{{localize name}}</option>
                                {{/each}}
                            {{/select}}
                        </select>
                    </label>
                </div>
            </section>

            <section id="range-details" class="flexcol {{#unless system.ranged.value}}hide{{/unless}}">
                <div class="flexrow table-row">
                    <p class="table-caption">{{localize system.ranged.short.label}}</p>
                    <p class="table-caption">{{localize system.ranged.medium.label}}</p>
                    <p class="table-caption">{{localize system.ranged.long.label}}</p>
                </div>
                <div class="flexrow table-row">
                    <div>
                        <label>
                            <input class="attribute-number-value" name="system.ranged.short.value" type="number"
                                   value="{{system.ranged.short.value}}" data-dtype="{{system.ranged.short.type}}"/>
                        </label>
                    </div>
                    <div>
                        <label>
                            <input class="attribute-number-value" name="system.ranged.medium.value" type="number"
                                   value="{{system.ranged.medium.value}}" data-dtype="{{system.ranged.medium.type}}"/>
                        </label>
                    </div>
                    <div>
                        <label>
                            <input class="attribute-number-value" name="system.ranged.long.value" type="number"
                                   value="{{system.ranged.long.value}}" data-dtype="{{system.ranged.long.type}}"/>
                        </label>
                    </div>
                </div>
            </section>

            <section id="miscellaneous-details" class="flexrow">
                <label class="table-caption" id="skill">{{localize "tor1e.weapons.details.skill-name"}}
                    <input class="attribute-text-value" name="system.skill.name" type="text" value="{{system.skill.name}}"
                           data-dtype="{{system.notes.type}}"/>
                </label>
                <label class="table-caption" id="notes">{{localize "tor1e.weapons.details.notes"}}
                    <input class="attribute-text-value" name="system.notes.value" type="text" value="{{system.notes.value}}"
                           data-dtype="{{system.notes.type}}"/>
                </label>
            </section>
            <section id="description">
                <p class="description-label">{{localize "tor1e.weapons.details.description"}}:</p>
                {{editor description target="system.description.value" button=true
                         editable=true}}
            </section>
        </div>

    </form>

</div>